package com.sqx.modules.pay.service;

import com.sqx.common.utils.Result;
import com.sqx.modules.pay.entity.PayDetails;

import java.math.BigDecimal;


/**
 * @author fang
 * @date 2020/2/26
 */
public interface WxService {

    Result payMoney(Long id, BigDecimal money, Integer type, Long rechargeId) throws Exception;

    Result payOrders(Long userId,Long ordersId,Integer type) throws Exception;

    String payBack(String resXml,Integer type);;

    Result wxRefund(PayDetails payDetails);

}